Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Aug 2022 20:54:29 +0300

> Date: Sat, 13 Aug 2022 20:20:04 +0300
> Cc: [email-masked], Eli Zaretskii <[email-masked]>,
>  [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> As soon as the file becomes very large, such that font-lock actually 
> becomes costly even in properly written major modes, we can still do one 
> of the two things: apply narrowing during font-lock, or fontify only the 
> beginning of the file.

Fontifying only the beginning of the file doesn't help when the file
is first shown at another point, like when Emacs or emacsclient is
invoked with the +NN[:nn] argument, or the user uses saveplace or
similar package.  That's admittedly rarer than starting at the
beginning, but it's a valid use case, and I wouldn't like us to
dismiss it.